Subject: [Fot] Ginevra TR5

From: Bill Dentinger <[email-masked]>
Date: Thu, 2 Jul 2020 15:44:34 +0000 (UTC)

--===============1550417968474790714==
	boundary="----=_Part_1576405_1314332420.1593704674661"

------=_Part_1576405_1314332420.1593704674661
Content-Transfer-Encoding: quoted-printable

Amici...
I guess I always knew there must have been a TR5, I just did not know anyth=
ing about it until this morning.
Then on Facebook, a post touting Edgardo Michelotti's birthday, was a pictu=
re=C2=A0 of 'Ginevra', the TR5.
Very pretty car, albeit a tad 'civil' by TR standards.
Like the Sabrina Engines used at LeMan...I wonder why it never made it to t=
he cars sold to the public.
Bill Dentinger

------=_Part_1576405_1314332420.1593704674661
Content-Transfer-Encoding: 7bit

<div style="color:black;font: 10pt arial;">
<div>Amici...</div>

<div><br>
</div>

<div>I guess I always knew there must have been a TR5, I just did not know anything about it until this morning.</div>

<div><br>
</div>

<div>Then on Facebook, a post touting Edgardo Michelotti's birthday, was a picture&nbsp; of 'Ginevra', the TR5.</div>

<div><br>
</div>

<div>Very pretty car, albeit a tad 'civil' by TR standards.</div>

<div><br>
</div>

<div>Like the Sabrina Engines used at LeMan...I wonder why it never made it to the cars sold to the public.</div>

<div><br>
</div>

<div>Bill Dentinger</div>

<div><br>
</div>
</div>

------=_Part_1576405_1314332420.1593704674661--

--===============1550417968474790714==
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot

--===============1550417968474790714==--